CREATE DATABASE IF NOT EXISTS pkm;

USE pkm;

CREATE TABLE IF NOT EXISTS kelompok (
    code VARCHAR(255) NOT NULL,
    judul VARCHAR(255) NOT NULL,
    nama VARCHAR(255) NOT NULL,
    skema VARCHAR(255) NOT NULL,
    dosen VARCHAR(255) DEFAULT NULL,
    ketua VARCHAR(255) DEFAULT NULL,
    anggota LONGTEXT DEFAULT NULL,
    accdospem BOOLEAN DEFAULT NULL,
    acckaprodi BOOLEAN DEFAULT NULL,
    lulus BOOLEAN DEFAULT NULL,
    laporanSatu VARCHAR(255) DEFAULT NULL,
    laporanDua VARCHAR(255) DEFAULT NULL,
    laporanTiga VARCHAR(255) DEFAULT NULL,
    komentarLaporanSatu LONGTEXT DEFAULT NULL,
    komentarLaporanDua LONGTEXT DEFAULT NULL,
    komentarLaporanTiga LONGTEXT DEFAULT NULL,
    revisiSatu VARCHAR(255) DEFAULT NULL,
    revisiDua VARCHAR(255) DEFAULT NULL,
    revisiTiga VARCHAR(255) DEFAULT NULL,
    finalProject VARCHAR(255) DEFAULT NULL,
    PRIMARY KEY (code)
);